FFE: Update webkit to 1.9.91

Bug #1005682 reported by Robert Ancell on 2012-05-28
46
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Webkit
Fix Released
Medium
webkit (Ubuntu)
Wishlist
Unassigned
Quantal
Wishlist
Unassigned
Raring
Wishlist
Unassigned

Bug Description

From http://irclogs.ubuntu.com/2012/05/25/%23ubuntu-desktop.html#t07:49:

[07:49] <micahg> seb128: is anyone working on webkit in quantal?
[07:49] <seb128> micahg, no, nobody has been working on webkit in Ubuntu for cycle, I just took up on doing the updates previous cycle because they were stalling
[07:50] <seb128> micahg, though we might be able to sync 1.9.2 from Debian experimental, I planned to look at that
[07:50] <micahg> seb128: do we need to take 1.10 for Q?
[07:50] <seb128> micahg, "need to", I don't know but they follow the GNOME cycle and I would not be surprised if i.e epiphany requires 1.9
[07:53] <micahg> seb128: ok, thanks, if you don't get to it by next week, I might take a look at syncing/merging 1.8.1 from unstable (would prefer you do it though :))
[07:54] <seb128> micahg, does it mean you prefer not to go for 1.9? why?
[07:54] <micahg> seb128: well, the idea was to support 1.8 for 5 years, if Q is on 1.8, that's one less extra thing to worry about
[07:55] <micahg> OTOH, if 1.10 doesn't have any ABI breaks, might be worth jumping
[07:55] <seb128> micahg, right, let's see what goes in 1.9 and if GNOME starts depending on it
[07:55] <seb128> micahg, I will let you know
[07:55] <micahg> seb128: thanks

Changed in webkit (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Changed in webkit (Ubuntu):
assignee: nobody → Sebastien Bacher (seb128)
summary: - Update to 1.9.2
+ Update to 1.9.5
Changed in webkit (Ubuntu):
status: Triaged → In Progress
summary: - Update to 1.9.5
+ Update to 1.9.2
Changed in webkit (Ubuntu):
status: In Progress → Fix Released

in fact let's keep the bug open, I updated to 1.9.2 not to the current version 1.9.5

I started looking to 1.9.5 but the update is a bit harder, random notes:
- should we enable webkit2 (it doesn't work with gtk2, only gtk3)
- the new version has new build-depends
- it seems to have some build issues

summary: - Update to 1.9.2
+ Update to 1.9.5
Changed in webkit (Ubuntu):
assignee: Sebastien Bacher (seb128) → nobody
status: Fix Released → Triaged
Micah Gersten (micahg) wrote :

I don't think we can enable webkit2 yet unless we can still build a webkit1 library for gtk2, there are reverse dependencies that still need it. Also, while there was talk of stabilizing the API for webkit2, idk if that's happened yet, so porting might still end up being a nightmare.

Logan Rosen (logan) on 2012-07-25
tags: added: upgrade-software-version
tags: removed: desktop-upgrade
Jeremy Bicha (jbicha) wrote :

This blocks the update to Epiphany 3.5.5 (bug 1033909) as epiphany-browser now requires webkit 1.9.6.

summary: - Update to 1.9.5
+ Update to 1.9.6
summary: - Update to 1.9.6
+ Update to 1.9.90

1.9.6 had abi,api incompatibles changes, I reported them upstream and they should be fixed in the new version, I need to check that

Sebastien Bacher (seb128) wrote :

Unfortunatly 1.9.90 still have api break issues, that's known and being worked upstream...

Changed in webkit:
importance: Unknown → Medium
status: Unknown → New
Changed in webkit:
status: New → Fix Released
Sebastien Bacher (seb128) wrote :

1.9.91 has resolved the API issues, it's available in the ubuntu-desktop ppa for i386, some issues remain to resolve before upload:

- the .symbols need to be updated for some of the cpp symbols that changed

- the dh_makeshlibs level should probably be restored to -c4 for the archive upload

- the build fails on amd64 on the ppa buildds, it might be a toolchain limitation, I've opened https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1043507 about that

Upstream pointed to https://trac.webkit.org/wiki/WebKitGTK/1.10.x which includes that item
https://bugs.webkit.org/show_bug.cgi?id=94435 "[GTK] Split WebCore/platform into a separate library"

that might workaround the amd64 issue and is planned for 1.10...

Turning the bug to a FFe as well because at this point the update doesn't only have bug fixes since previous versions failed landing. The rational to update is that we are on an early version of that unstable serie and we will probably want to update to the stable version for obvious reasons (less bugs, easier to maintain, etc)

Changed in webkit (Ubuntu Quantal):
status: Triaged → In Progress
summary: - Update to 1.9.90
+ FFE: Update webkit to 1.9.91
Micah Gersten (micahg) wrote :

From the security team's perspective, we'd much rather have the final webkit release in rather than an unstable snapshot to shake out any issues with the new pieces while it's still the dev release. Otherwise, we'd prefer to revert to 1.8, which would mean reverting anything that uses the new webkit version (epiphany and various other pieces of GNOME) which would be a real mess. I currently plan to update quantal with the 1.10.x stable release branch as the releases come out.

Jeremy Bicha (jbicha) wrote :

The version of epiphany currently in Quantal works with webkit 1.8. I'm not aware of anything else depending on webkit 1.9.

Kate Stewart (kate.stewart) wrote :

Based on the above discussion, it does not appear that this is essential for 12.10. Deferring this to R-Series, so more timely review can occur.

Changed in webkit (Ubuntu Quantal):
status: In Progress → Won't Fix
Kate Stewart (kate.stewart) wrote :

Based on discussion in #ubuntu-release, impact of reverting from 1.9.2 to 1.8 may not be as risk free as hoped.

<cjwatson> how big is the reverse dep tree anyway?
<jbicha> Mageia was also having trouble getting WebKit 1.9 to build
<infinity> 140 reverse build-deps. Not sure how far down the tree that gets one.
<cjwatson> ow
<cjwatson> and those are all on 1.9 already?
<infinity> And not sure how many things have been rebuilt against the new ABI (and thus need a rebuild) versus need the new API (thus needing a revert as well) and how many wouldn't need to be touched.
<infinity> A versioned rdep scan would be more accurate for the ABI-rebuild question, the API one's a bit tougher.
<infinity> And might just be epihany, if we're lucky.

Marking this as back to In-progress for quantal until least risk path is figured out.

Changed in webkit (Ubuntu Quantal):
status: Won't Fix → In Progress
Matthias Klose (doko) wrote :

no toolchain limitation, just a broken build system. The only way to build it is to build without -g to keep the size of the archive file below 4G. should be better fixed by building smaller archives/libraries.

Scott Kitterman (kitterman) wrote :

webkit | 1.10.0-0ubuntu1 | quantal | sourc

Changed in webkit (Ubuntu Quantal):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.